Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.showutil.Effects Namespace Reference

## Functions
| createBounce (nodeObj, numBounces, startValues, totalTime, amplitude, bounceType=SZ_BOUNCE)
| createHBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createPBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createRBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createScaleXBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createScaleYBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createScaleZBounce (nodeObj, numBounces, startValue, totalTime, amplitude)
| createXBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createYBounce (nodeObj, numBounces, startValues, totalTime, amplitude)
| createZBounce (nodeObj, numBounces, startValues, totalTime, amplitude)

## Variables
int | H_BOUNCE = 6
int | P_BOUNCE = 7
int | R_BOUNCE = 8
int | SX_BOUNCE = 0
int | SY_BOUNCE = 1
int | SZ_BOUNCE = 2
int | TX_BOUNCE = 3
int | TY_BOUNCE = 4
int | TZ_BOUNCE = 5

## Detailed Description

     Showutil Effects module: contains code for useful showcode effects.

## Function Documentation

## ◆ createBounce()

createBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude,
|  |  | bounceType = SZ_BOUNCE )

    createBounce: create and return a list of intervals to make a
    given nodePath bounce a given number of times over a give total time.

## ◆ createHBounce()

createHBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createPBounce()

createPBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createRBounce()

createRBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createScaleXBounce()

createScaleXBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createScaleYBounce()

createScaleYBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createScaleZBounce()

createScaleZBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValue,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createXBounce()

createXBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createYBounce()

createYBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## ◆ createZBounce()

createZBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude )

## Variable Documentation

## ◆ H_BOUNCE

int H_BOUNCE = 6

## ◆ P_BOUNCE

int P_BOUNCE = 7

## ◆ R_BOUNCE

int R_BOUNCE = 8

## ◆ SX_BOUNCE

int SX_BOUNCE = 0

## ◆ SY_BOUNCE

int SY_BOUNCE = 1

## ◆ SZ_BOUNCE

int SZ_BOUNCE = 2

## ◆ TX_BOUNCE

int TX_BOUNCE = 3

## ◆ TY_BOUNCE

int TY_BOUNCE = 4

## ◆ TZ_BOUNCE

int TZ_BOUNCE = 5